# AVR_ATMEGA_1602LCD

A small library/program for using the 1602 LCD display in 4 bit mode.

## Hardware:

- LCD 1602 ADM1602K-NSW-FBS-3.3v or ADM1602K-NSW-FBS-5.0v
- AVR Micro-controller

## Supported Controllers:

List of supported controllers:
___
- ATMega48 
- ATMega88 
- ATMega168 
- ATMega328

___

## Usage:

```C
#include "AVR_ATMEGA_1602LCD.h"

void lcd_begin() {
    set_lcd_two_line();
    return_home_lcd();
    clear_lcd();
    
    //Do stuff.
}
```

## RoadMap:

1. define all functions for the data sheets instructions.
2. Change cmd_lcd() function to only be called once instead of nibbles.
3. Make functions port indapendant.
4. ADD function to print strings
5. ADD function to display bit images
6. ADD function to act as a loading screen.
7. ADD animations
8. ADD PWM control for contrast
9. ADD PWM control for backlight



